#!/bin/bash

if [ "$1" = "" ] ; then
    WINEDIRNAME=".wine32"
else
    WINEDIRNAME="$1"
fi

HAWC2EXES=/home/MET/hawc2exe

WINEARCH=win32 WINEPREFIX=~/$WINEDIRNAME wine dummy
mkdir -p "/home/$USER/$WINEDIRNAME/drive_c/bin/"

echo "-------- copying HAWC2 executables from/to:"
echo "$HAWC2EXES/*  /home/$USER/$WINEDIRNAME/drive_c/bin/"
cp $HAWC2EXES/* "/home/$USER/$WINEDIRNAME/drive_c/bin/"

#WINEARCH=win32 WINEPREFIX=~/$WINEDIRNAME wine regedit /E tmp.reg "HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\Session Manager\Environment"
#sed -i 's/"PATH"="C:\\\\windows\\\\system32;C:\\\\windows"/"PATH"="C:\\\\windows\\\\system32;C:\\\\windows;C:\\\\bin"/g' tmp.reg
#WINEARCH=win32 WINEPREFIX=~/$WINEDIRNAME wine regedit ./tmp.reg
#rm ./tmp.reg

# add C:\bin (/home/$USER/$WINEDIRNAME/drive_c/bin/) to Windows PATH variable
echo "-------- adding /home/$USER/$WINEDIRNAME/drive_c/bin/ to wine system PATH"
echo "-------- this is equivalent to C:\bin in Windows terms."
# seems like this doesn't work since the key Environment doesn't exist by default?
#rm ./tmp.reg
#WINEARCH=win32 WINEPREFIX=~/$WINEDIRNAME wine regedit /E ./tmp.reg "HKEY_CURRENT_USER\Environment"
#printf '"PATH"="c:\\bin"' >> ./tmp.reg
printf 'REGEDIT4\n[HKEY_CURRENT_USER\\Environment]\n"PATH"="c:\\bin"' >> ./tmp.reg
WINEARCH=win32 WINEPREFIX=~/$WINEDIRNAME wine regedit ./tmp.reg

# do not show GUI crash dialogs
rm ./tmp.reg
printf '[HKEY_CURRENT_USER\\Software\\Wine\\WineDbg]\n"ShowCrashDialog"=dword:00000000' >> ./tmp.reg
WINEARCH=win32 WINEPREFIX=~/$WINEDIRNAME wine regedit ./tmp.reg
rm ./tmp.reg

# add an alias to .bashrc
echo "-------- adding alias wine32 to ~/.bashrc"
echo "alias wine32='WINEARCH=win32 WINEPREFIX=~/$WINEDIRNAME wine'" >> ~/.bashrc
source ~/.bashrc

echo "-------- See if HAWC2 runs..."
WINEARCH=win32 WINEPREFIX=~/$WINEDIRNAME wine hawc2-123-beta.exe

